- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
csl_audioClass.c File Reference

USB Audio Class functional layer API source file. More...

`#include <string.h>`
`#include <csl_audioClass.h>`
`#include <csl_audioClassAux.h>`

## Functions
CSL_Status | AC_Open (pAcAppClassHandle pAppClassHandle)
CSL_Status | AC_Close (pAcAppClassHandle pAppClassHandle)
CSL_Status | AC_Ctrl (void *pAcObj)
CSL_Status | AC_Iso (void *pAcObj)
Uint16 | AC_GetactivityFlagStatus (void *pAcObj)
Uint16 | AC_GetsuspendFlagStatus (void *pAcObj)
CSL_Status | AC_initDescriptors (void *pAcObj, Uint16 *descBuf, CSL_AcDescrId descrId, Uint16 descrLen)
static CSL_Status | AC_initAcVal (CSL_AcObject *pAcHandle)
CSL_AcRequestRet | AC_reqGetDescriptor (CSL_UsbDevNum devNum, CSL_UsbSetupStruct *usbSetup, pUsbEpHandle hInEp, pUsbEpHandle hOutEp, void *pAcObj)
CSL_AcRequestRet | AC_reqSetCurrent (CSL_UsbDevNum devNum, CSL_UsbSetupStruct *usbSetup, pUsbEpHandle hInEp, pUsbEpHandle hOutEp, void *pAcObj)
CSL_AcRequestRet | AC_reqGetCurrent (CSL_UsbDevNum devNum, CSL_UsbSetupStruct *usbSetup, pUsbEpHandle hInEp, pUsbEpHandle hOutEp, void *pAcObj)
CSL_AcRequestRet | AC_reqGetMinimum (CSL_UsbDevNum devNum, CSL_UsbSetupStruct *usbSetup, pUsbEpHandle hInEp, pUsbEpHandle hOutEp, void *pAcObj)
CSL_AcRequestRet | AC_reqGetMaximum (CSL_UsbDevNum devNum, CSL_UsbSetupStruct *usbSetup, pUsbEpHandle hInEp, pUsbEpHandle hOutEp, void *pAcObj)
CSL_AcRequestRet | AC_reqGetResolution (CSL_UsbDevNum devNum, CSL_UsbSetupStruct *usbSetup, pUsbEpHandle hInEp, pUsbEpHandle hOutEp, void *pAcObj)
CSL_AcRequestRet | AC_reqSetInterface (CSL_UsbDevNum devNum, CSL_UsbSetupStruct *usbSetup, pUsbEpHandle hInEp, pUsbEpHandle hOutEp, void *pAcObj)

## Detailed Description

USB Audio Class functional layer API source file.

Path: \(CSLPATH)\ src

## Function Documentation

static CSL_Status AC_initAcVal | ( | CSL_AcObject * | pAcHandle | ) | `[static]`

============================================================================
AC_initAcVal

Description
This function initializes the Audio Class object

Arguments

                pAcHandle        Handle to the Audio class Object

Return Value CSL_Status

- CSL_SOK - Returned for success
- CSL_ESYS_BADHANDLE - Invalid Audio class handle

Pre Condition
None

Post Condition
Initializes Audio Class object

Modifies
Audio Class object structure

Example

                CSL_AcObject    acObj;
                CSL_Status      status;

                status = AC_initAcVal(&acObj);

============================================================================

References CSL_AcObject::activityPresentFlag, CSL_AC_CSW0_DEFVAL, CSL_AC_CSW1_DEFVAL, CSL_AC_CSW2_DEFVAL, CSL_AC_READ_CAPACITY0_DEFVAL, CSL_AC_SENSE_DATA0_DEFVAL, CSL_AC_SENSE_DATA1_DEFVAL, CSL_AC_SENSE_DATA2_DEFVAL, CSL_AC_SENSE_DATA3_DEFVAL, CSL_AC_SENSE_DATA4_DEFVAL, CSL_AC_SENSE_DATA5_DEFVAL, CSL_AcObject::csw, CSL_AcObject::mediaState, CSL_AcObject::readCapacity, and CSL_AcObject::senseData.

Referenced by AC_Open().